Subject: Re: Regression in 2.6.27-rc7: Wake On LAN with sky2 broken

From: Tino Keitel <[email-masked]>
Date: Thu, 25 Sep 2008 22:03:11 +0200

Hi,

I just found a method how I can enable WOL again:

echo enabled >
/sys/devices/pci0000:00/0000:00:1c.0/0000:01:00.0/power/wakeup

This device is the NIC device, of cause.

I already had another case (EHCI) where I needed to do this to be able
to wake the computer up with the USB keyboard. It seems like 2.6.27
behaves different here compared to 2.6.26, and things that worked with
2.6.26 need manual fixing to work again. Or did I make something wrong?

Regards,
Tino